Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228334 - Allow building with bdb 4.4 or later
Summary: Allow building with bdb 4.4 or later
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Database - General
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-12 19:05 UTC by Rich Megginson
Modified: 2015-12-07 17:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:17:35 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-02-12 19:12 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2007-02-12 19:05:58 UTC
Allow the server to build with berkeley db 4.4 or later.  Fedora 7 ships with
db4.5 by default, so we should be able to use it.  Note that this doesn't mean
to fully test and take advantage of all of the new features in 4.3, 4.4, and 4.5
- this will only allow the server to build and run, to make it available to
other developers to work on.

Comment 1 Rich Megginson 2007-02-12 19:12:08 UTC
Created attachment 147925 [details]
diffs

Comment 2 Nathan Kinder 2007-02-12 21:07:49 UTC
The changes look good.

Comment 3 Rich Megginson 2007-02-12 21:14:43 UTC
Reviewed by: nkinder (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: db.m4 already had code to detect and use the correct version of
db headers and libraries.  There have been some minor api changes since 4.3, so
not much code changes were required.  Note that this merely allows the server to
build and run with db4.4 or later, not to take advantage of the newer features
of the API.
Platforms tested: FC7
Flag Day: no
Doc impact: no

Checking in ldapserver/ldap/servers/plugins/replication/cl5_api.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/replication/cl5_api.c,v  <--  cl5_api.c
new revision: 1.13; previous revision: 1.12
done
Checking in ldapserver/ldap/servers/slapd/back-ldbm/dblayer.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/back-ldbm/dblayer.c,v  <--  dblayer.c
new revision: 1.17; previous revision: 1.16
done
Checking in ldapserver/ldap/servers/slapd/back-ldbm/perfctrs.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/back-ldbm/perfctrs.c,v  <--  perfctrs.c
new revision: 1.6; previous revision: 1.5
done

Comment 5 Rich Megginson 2011-06-22 14:27:59 UTC
We don't have any supported Red Hat platforms that use db 4.4 any more, so just mark this as verified upstream.


Note You need to log in before you can comment on or make changes to this bug.